/****************************************************************/
/* slist.h - Single-Linked List Header				*/
/****************************************************************/
/*
 *  (c)2003 Todd Shadburn
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/****************************************************************/


#ifndef _SLIST_H_
#define _SLIST_H_

#include <cutil/cutil_portable.h>

#define ESUCCESS	0

typedef struct _SList		SList;
struct _SList {
	void *data;
	SList *next;
};


CUTIL_API int slist_free (SList **listp);
CUTIL_API int slist_item_add (SList **listp, void *data);
CUTIL_API int slist_item_get (SList *list, int index, void **data);
CUTIL_API int slist_item_count (SList *list, int *count);
CUTIL_API int slist_item_remove (SList **list, void *data);
CUTIL_API SList *slist_get_next (SList *list);
CUTIL_API void *slist_get_data (SList *list);

#endif

